%define name rpm2html
%define version 1.7
%define prefix /usr

Summary: Translates rpm database into HTML and RDF info
Name: %{name}
Version: %{version}
Release: 1
Group: Applications/System
Source: ftp://rpmfind.net/pub/rpm2html/%{name}-%{version}.tar.bz2
Patch0: rpm2html-1.5-sig-5.patch
Patch1: rpm2html-dup.patch
URL: http://rpmfind.net/linux/rpm2html/
License: W3C Copyright (BSD like).
BuildRoot: %{_tmppath}/%{name}-root
BuildPreReq: rpm-devel
Requires: gnupg
Prefix: %{prefix}

%description
Rpm2html tries to solve 2 big problems one faces when
grabbing a RPM package from a mirror on the net and trying to
install it:
   - it gives more information than just the filename before
     installing the package.
   - it tries to solve the dependancy problem by analyzing all
     the Provides and Requires of the set of RPMs. It shows the
     cross references by way of hypertext links. 
Rpm2html can now dump the metadata associated with RPM packages into
standard RDF files used by the rpmfind tool for automatic queries.

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1

autoconf

%build
test -f /usr/share/libtool/config.guess && cp /usr/share/libtool/config.guess .
test -f /usr/share/libtool/config.sub   && cp /usr/share/libtool/config.sub .
%configure \
	--sysconfdir=/etc \
	--with-gpg
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -d ${RPM_BUILD_ROOT}%{_bindir}
install -d ${RPM_BUILD_ROOT}%{_sysconfdir}
install -d ${RPM_BUILD_ROOT}%{_datadir}/%{name}
install -d ${RPM_BUILD_ROOT}%{_mandir}/man1

install -s rpm2html ${RPM_BUILD_ROOT}%{_bindir}

for i in msg.*
do
  install -m 0644 $i ${RPM_BUILD_ROOT}%{_datadir}/%{name}/
done

install -m 0644 rpm2html.config  ${RPM_BUILD_ROOT}%{_sysconfdir}
install -m 0644 rpm2html.1  ${RPM_BUILD_ROOT}%{_mandir}/man1/rpm2html.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES BUGS Copyright PRINCIPLES README TODO 
%doc rpm2html-cdrom.config rpm2html-en.config
%doc rpm2html.config.mirrors rpm2html-fr.config
%doc rpm2html.config.resources rpm2html-rdf.config
%{_bindir}/rpm2html*
%{_datadir}/%{name}/msg.*
%{_mandir}/man1/*
%config %{_sysconfdir}/rpm2html.config

%changelog
* Wed Feb  6 2002 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.7
- merged some stuff from RedHat's rpm2html-1.7-4 package
- s/Copyright/License
- dropped rpm2html-1.5-sig-5.patch and rpm2html-dup.patch patches

* Wed Jan 02 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- update config.guess and config.sub for IA64

* Tue Jul 24 2001 Daniel Veillard <veillard@redhat.com>
- upgraded to 1.7
- cleaned up a potential problem with libxml2
- fixed BuildPrereqs

* Wed Jul 18 2001 Daniel Veillard <veillard@redhat.com>
- upgraded to version 1.6
- removed the mysql support, this is too specific

* Tue Jul 10 2001 Elliot Lee <sopwith@redhat.com>
- Use %%{?_smp_mflags}

* Mon Dec 11 2000 Peter Hanecak <hanecak@megaloman.sk>
- rpm2html-dup.patch by Alexey Nogin <ayn2@cornell.edu>

* Wed Nov  8 2000 Peter Hanecak <hanecak@megaloman.sk>
- rpm2html-1.5-sig-5.patch: summary of previous patches plus typo fixes

* Tue Nov  7 2000 Peter Hanecak <hanecak@megaloman.sk>
- rpm2html-1.5-sig-speedup.patch to avoid unnecessary signature resolving

* Sun Nov  5 2000 Peter Hanecak <hanecak@megaloman.sk>
- rpm2html-1.5-sig-4.patch: summary of rpm2html-1.4-sig.patch and
  rpm2html-1.5-sig-memleak.patch plus configurable "resolving" feature
  using gnupg

* Wed Oct 25 2000 Peter Hanecak <hanecak@megaloman.sk>
- rpm2html-1.5-sig-memleak.patch by Daniel Veillard <Daniel.Veillard@w3.org>

* Tue Oct  3 2000 Peter Hanecak <hanecak@megaloman.sk>
- rpm2html-1.4-sig.patch - experimental enhancement to include package
  signature info in .html pages

* Mon Sep 25 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.5
- .bz2 source archive
- merged some stuff from Daniel Veillard's <veillard@w3.org> 1.5-1 spec

* Fri Aug  4 2000 Jeff Johnson <jbj@redhat.com>
- remove exec permissions on data files.

* Fri Jul 28 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.4
- spec improvements

* Sun Jun 25 2000 Peter Hanecak <hanecak@megaloman.sk>
- merged stuff from RedHat's rpm2html-1.2-8
- patches ported forward
- rpm-4.0 patch
- build against rpm-4.0-0.45

* Thu Jun  1 2000 Matt Wilson <msw@redhat.com>
- use _mandir macros
- build against new librpm to get correct libbz2 deps

* Sat May 13 2000 Jeff Johnson <jbj@redhat.com>
- use rpm-3.1 API (hack).

* Tue Feb 15 2000 Jeff Johnson <jbj@redhat.com>
- fix filename lossage with rpm-3.0.4.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sat Oct 16 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 1.3
- some spec stuff from Daniel Veillard's spec

* Sat Sep 25 1999 Jeff Johnson <jbj@redhat.com>
- recompile with rpm-3.0.3-1.

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- move to Red Hat 6.1 distribution.

* Wed Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.2.

* Fri Apr  2 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
